Bug 531894 - /var/lib/texmf/web2c has a+rwx perms in texlive-texmf
Summary: /var/lib/texmf/web2c has a+rwx perms in texlive-texmf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-texmf
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-29 19:05 UTC by Bruce Jerrick
Modified: 2013-07-02 23:39 UTC (History)
3 users (show)

Fixed In Version: 2007-34.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-04 21:17:15 UTC
Type: ---


Attachments (Terms of Use)

Description Bruce Jerrick 2009-10-29 19:05:53 UTC
Description of problem:
/var/lib/texmf/web2c has world-write (0777) permission in the texlive-texmf
package (and different (proper) permission in the texlive package).

Version-Release number of selected component (if applicable):
texlive-texmf-2007-31.fc12

How reproducible:
100%

Steps to Reproduce:
1. rpmls texlive-texmf-2007-31.fc12.noarch.rpm | grep '/var/lib/texmf/web2c$'
  
Actual results:
drwxrwxrwx  /var/lib/texmf/web2c

Expected results:
drwxr-xr-x  /var/lib/texmf/web2c

Additional info:
/var/lib/texmf/web2c is also owned by texlive (2007-45.fc12); it has proper
permissions in that package (and it seems to prevail at OS installation).
The permission difference between the two packages also leads to an 'rpm -V'
report:

    PROBLEM:
    texlive-texmf-2007-29.fc12.noarch:
    .M.......    /var/lib/texmf/web2c

The fix is trivial -- change 0777 to 0755 in texlive-texmf.spec:

    %dir %attr(0777 root root) "/var/lib/texmf/web2c"

Comment 1 Bug Zapper 2009-11-16 14:37:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2009-12-07 10:09:11 UTC
texlive-texmf-2007-34.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-34.fc10

Comment 3 Fedora Update System 2009-12-07 10:10:58 UTC
texlive-texmf-2007-34.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-34.fc12

Comment 4 Fedora Update System 2009-12-07 10:33:33 UTC
texlive-texmf-2007-34.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-34.fc11

Comment 5 Fedora Update System 2009-12-08 07:47:23 UTC
texlive-texmf-2007-34.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12902

Comment 6 Fedora Update System 2009-12-08 07:47:47 UTC
texlive-texmf-2007-34.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12904

Comment 7 Fedora Update System 2009-12-08 08:02:48 UTC
texlive-texmf-2007-34.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12916

Comment 8 Fedora Update System 2010-01-04 21:16:59 UTC
texlive-texmf-2007-34.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-04 21:19:10 UTC
texlive-texmf-2007-34.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.